Bug 80940 - WITH_MENU and WITH_STATIC_PLUGINS options for quakeforge port
WITH_MENU and WITH_STATIC_PLUGINS options for quakeforge port
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: pav
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-12 14:20 UTC by yury
Modified: 2005-05-20 15:47 UTC (History)
1 user (show)

See Also:


Attachments
quakeforge.diff (3.79 KB, patch)
2005-05-12 14:20 UTC, yury
no flags Details | Diff
patch (6.66 KB, patch)
2005-05-20 15:05 UTC, q
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description yury 2005-05-12 14:20:00 UTC
Defining WITH_MENU option allows building, installing and packaging 
menu.dat.gz file when making clients without tools (WITHOUT_TOOLS defined 
and WITHOUT_CLIENTS undefined).
Defining WITH_STATIC_PLUGINS options allows building plugins statically 
linked. This is workaround to resolve a strange problem loading 
console_client.so plugin.
Comment 1 pav freebsd_committer 2005-05-17 19:58:16 UTC
Dear maintainer of FreeBSD port games/quakeforge, please take a look at

http://www.freebsd.org/cgi/query-pr.cgi?q=80940

Do you approve this patch?

-- 
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>

Eat when you are hungry, sleep when you are tired.
Chase butterflies when you want some fun.
Comment 2 pav freebsd_committer 2005-05-17 19:58:19 UTC
State Changed
From-To: open->feedback

Asked maintainer for approval 


Comment 3 pav freebsd_committer 2005-05-17 19:58:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pav

Track
Comment 4 q 2005-05-20 15:05:37 UTC
On Tue, 17.05.2005 at 20:58:16 +0200, Pav Lucistnik wrote:
> Dear maintainer of FreeBSD port games/quakeforge, please take a look at
> 
> http://www.freebsd.org/cgi/query-pr.cgi?q=80940
> 
> Do you approve this patch?

Please use attached patch instead.

Summary:
- Add WITH_STATIC_PLUGINS, requested by original submitter
- Remove WITHOUT_TOOLS and WITHOUT_SERVERS

Specifying WITHOUT_{TOOLS,SERVERS} only bought us 11% compile time
savings and lousy 4% in package size. I'd rather remove knobs from this
port than add even more.

Ulrich Spoerlein
-- 
 PGP Key ID: F0DB9F44				Encrypted mail welcome!
Fingerprint: F1CE D062 0CA9 ADE3 349B  2FE8 980A C6B5 F0DB 9F44
Ok, which part of "Ph'nglui mglw'nafh Cthulhu R'lyeh wgah'nagl fhtagn."
didn't you understand?
Comment 5 pav freebsd_committer 2005-05-20 15:47:33 UTC
State Changed
From-To: feedback->closed

Maintainer's version committed.